Runner Jobs
Manage runner jobs and runner-side job execution.
Request a new job
API used by PeerTube runners
Body
runnerTokenstringrequiredjobTypesArray<string>Filter jobs depending on their types
Response
successful operation
Accept job
API used by PeerTube runners
Body
runnerTokenstringrequiredParameters
Response
successful operation
Abort job
API used by PeerTube runners
Body
runnerTokenstringrequiredjobTokenstringrequiredreasonstringrequiredWhy the runner aborts this job
Parameters
Response
successful operation
Update job
API used by PeerTube runners
Body
runnerTokenstringrequiredjobTokenstringrequiredprogressintegerUpdate job progression percentage (optional)
payloadobjectParameters
Response
successful operation
Post job error
API used by PeerTube runners
Body
runnerTokenstringrequiredjobTokenstringrequiredmessagestringrequiredWhy the runner failed to process this job
Parameters
Response
successful operation
Post job success
API used by PeerTube runners
Body
runnerTokenstringrequiredjobTokenstringrequiredpayloadobjectrequiredParameters
Response
successful operation
Download the max-quality audio file for a job video
API used by PeerTube runners.
Body
runnerTokenstringrequiredjobTokenstringrequiredParameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Response
successful operation
the job is not associated with this video
Download the max-quality video file for a job video
API used by PeerTube runners.
Body
runnerTokenstringrequiredjobTokenstringrequiredParameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Response
successful operation
the job is not associated with this video
Download the max-quality thumbnail for a job video
API used by PeerTube runners.
Body
runnerTokenstringrequiredjobTokenstringrequiredParameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Response
successful operation
the job is not associated with this video
Download the max-quality preview for a job video
API used by PeerTube runners.
Body
runnerTokenstringrequiredjobTokenstringrequiredParameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Response
successful operation
the job is not associated with this video
Download a video studio task file for a job video
API used by PeerTube runners.
Body
runnerTokenstringrequiredjobTokenstringrequiredParameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
filenamestringrequiredpathName of the task file to download
Response
successful operation
the file is not associated with this edition task
the job is not associated with this video
Cancel a job
Parameters
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Delete a job
The endpoint will first cancel the job if needed, and then remove it from the database. Children jobs will also be removed
Parameters
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List jobs
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringupdatedAtcreatedAtprioritystateprogressquerySort runner jobs by criteria
searchstringqueryPlain text search, applied to various parts of the model depending on endpoint
typeOneOfArray<RunnerJobType>vod-web-video-transcodingvod-hls-transcodingvod-audio-merge-transcodinglive-rtmp-hls-transcodingqueryResponse
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
